/*
    ServicesCtl is a programm to start and stop Services from the TrayBar.
    Copyright (C) 2007  Olaf Groeger

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

    For any feedback contact me at servicesctl@olaf-groeger.de.
*/
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Reflection;
using System.Resources;
using System.Text;
using System.Windows.Forms;

namespace ServicesCtl
{
    /// <summary>
    /// Shows the Help
    /// </summary>
    public partial class HelpDialog : Form
    {
        /// <summary>
        /// Creates a new instance.
        /// </summary>
        public HelpDialog()
        {
            InitializeComponent();
            
            ResourceManager rm = new ResourceManager("ServicesCtl.Messages", Assembly.GetExecutingAssembly());
            this.Text = rm.GetString("HelpDialog_Title");

            String helpFile = Application.StartupPath + "\\help\\" + "help_" + Application.CurrentCulture.Name + ".html";
            if( File.Exists(helpFile) )
            {
                this.webBrowser1.Navigate(@helpFile);
                return;
            }
            helpFile = Application.StartupPath + "\\help\\" + "help_" + Application.CurrentCulture.TwoLetterISOLanguageName + ".html";
            if (File.Exists(helpFile))
            {
                this.webBrowser1.Navigate(@helpFile);
                return;
            }
            helpFile = Application.StartupPath + "\\help\\" + "help.html";
            this.webBrowser1.Navigate(@helpFile);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}